Package org.apache.sis.referencing.gazetteer

# Class ReferenceVerifyException

Object
Throwable
Exception
TransformException
GazetteerException
ReferenceVerifyException

All Implemented Interfaces:
  `Serializable`

public class ReferenceVerifyException extends GazetteerException
Thrown when a geographic identifier (or reference) has been successfully parsed but fails some verification. Examples:

- The 100 000-metres square identification of a MGRS reference is not consistent with the Grid Zone Designation.

The purpose of those verifications is to perform some error detection. For example it may help to detect if a typo occurred when a user entered a coordinate manually.

Since:
  0.8
See Also:
  - Serialized Form

Defined in the `sis-referencing-by-identifiers` module

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReferenceVerifyException()`
  Constructs a new exception with no detail message.
  `ReferenceVerifyException(String message)`
  Constructs a new exception with the specified detail message.
  `ReferenceVerifyException(String message, Throwable cause)`
  Constructs a new exception with the specified detail message and cause.
  `ReferenceVerifyException(Throwable cause)`
  Constructs a new exception with the specified cause.

- ## Method Summary

  ### Methods inherited from class TransformException

  `getLastCompletedTransform, setLastCompletedTransform`

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ReferenceVerifyException

    public ReferenceVerifyException()
    Constructs a new exception with no detail message.

  - ### ReferenceVerifyException

    public ReferenceVerifyException(String message)
    Constructs a new exception with the specified detail message.
    Parameters:
      `message` - the details message, or `null` if none.

  - ### ReferenceVerifyException

    public ReferenceVerifyException(Throwable cause)
    Constructs a new exception with the specified cause. The details message is copied from the cause.
    Parameters:
      `cause` - the cause, or `null` if none.

  - ### ReferenceVerifyException

    public ReferenceVerifyException(String message, Throwable cause)
    Constructs a new exception with the specified detail message and cause.
    Parameters:
      `message` - the details message, or `null` if none.
      `cause` - the cause, or `null` if none.